Keystone Developers
Open Keystone
API reference

Internal API

Follow ups

1 endpoint.

POST/api/v1/internal/follow-ups/execute

Execute Follow Up

Kairos callback for a previously scheduled follow-up. Inserts an OUTBOUND message and publishes it through the standard outbound flow.

Parameters

NameInTypeDescription
x-internal-api-keyheaderstring | null

Request bodyrequired

application/jsonFollowUpExecuteBody
FieldTypeDescription
conversation_idrequiredstring (uuid)
consumer_idrequiredstring (uuid)
triggering_message_idrequiredstring (uuid)

Responses

200Successful Response
application/jsonSuccessResponse_FollowUpExecuteData_
FieldTypeDescription
request_idrequiredstring
successtruedefault true
datarequiredFollowUpExecuteData
FollowUpExecuteData fields
FieldTypeDescription
message_idstring (uuid) | null
skippedbooleandefault false
metadataResponseMetadata | null
ResponseMetadata fields
FieldTypeDescription
paginationPaginationMetadata | null
PaginationMetadata fields
FieldTypeDescription
limitrequiredinteger
next_cursorstring | null
prev_cursorstring | null
has_morerequiredboolean
has_prevbooleandefault false
total_countinteger | null
status_countsobject | null
object | null fields

Map of string to integer

lifecycle_countsLifecycleCounts | null
LifecycleCounts fields
FieldTypeDescription
leadintegerdefault 0
prospectintegerdefault 0
customerintegerdefault 0
former_customerintegerdefault 0
classification_countsClassificationCounts | null
ClassificationCounts fields
FieldTypeDescription
signalobject
object fields

Nested object (not expanded)

touchobject
object fields

Nested object (not expanded)

stageobject
object fields

Nested object (not expanded)

metaResponseMeta | null
ResponseMeta fields
FieldTypeDescription
totalinteger | null
total_countinteger | null
pageinteger | null
per_pageinteger | null
  • 400Bad request
  • 401Unauthorized
  • 403Forbidden
  • 404Not found
  • 422Validation error
  • 500Internal server error
  • 503Service unavailable

Error bodies: ErrorResponse. See Errors.